html {
    -ms-touch-action: none;
}

body, canvas, div {
    margin: 0;
    padding: 0;
    outline: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -khtml-user-select: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0;
    border: 0;
    margin: 0;

    cursor: default;
    color: #888;
    background-color: #fff;

    text-align: center;
    font-family: Helvetica, Verdana, Arial, sans-serif;

    display: flex;
    flex-direction: column;
    overflow: hidden;
}

#Cocos3dGameContainer, #Cocos2dGameContainer {
    position: absolute;
    margin: 0;
    overflow: hidden;
    left: 0;
    top: 0;
    z-index: 2;

    display: -webkit-box;
    -webkit-box-orient: horizontal;
    -webkit-box-align: center;
    -webkit-box-pack: center;
}

.rotate-container {
    transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    transform-origin: 0px 0px 0px;
    -webkit-transform-origin: 0px 0px 0px;
}

#Cocos3dGameContainer, #GameCanvas {
    width: 100%;
    height: 100%;
}

#bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

canvas {
    background-color: rgba(255, 255, 255, 0);
}

#cocosLoading {
    display: block; margin: auto; max-height: 100%; max-width: 100%;
}

#cocosLoadingImg {
    display: block; margin: auto; width: 50%; height: auto;
}

@media (max-width: 1000px ) {
    #cocosLoadingImg {
        width: 40%;
    }
}

